import request from '@/utils/request'
//增
export function stockAdd(data) {
	return request({
		url: '/system/location',
		method: 'post',
		data
	})
}
//删
export function stockDel(data) {
	return request({
		url: '/system/location/' + data,
		method: 'delete'
	})
}
//改
export function stockUpd(data) {
	return request({
		url: '/system/location',
		method: 'put',
		data
	})
}
//查
export function stockList(params) {
	return request({
		url: '/system/location/list',
		method: 'get',
		params
	})
}
// 根据部门职务员工列表查询
export function selectListByDeptId(deptId, levelJobId) {
	return request({
		url: '/system/user/selectListByDeptId?deptId=' + deptId + '&levelJobId=' + levelJobId,
		method: 'get',
	})
}
// 更新库位保管员
export function updateKeeper(data) {
	return request({
		url: '/system/location/updateKeeper',
		method: 'put',
		data
	})
}
// 查询业务常用人信息列表
export function getCommonPerson(belongUserId) {
	return request({
		url: '/system/commonPerson/list?belongUserId=' + belongUserId,
		method: 'get',
	})
}
// 更新业务常用人信息
export function updateCommonPerson(data) {
	return request({
		url: '/system/commonPerson',
		method: 'put',
		data
	})
}
